# TdApi.UpdateCall

Package it.ernytech.tdlib

## Class TdApi.UpdateCall

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Update
    - - it.ernytech.tdlib.TdApi.UpdateCall

Enclosing class:
  TdApi

    public static class TdApi.UpdateCall
    extends TdApi.Update

New call was created or information about a call was updated.

### Field Summary

Fields
`TdApi.Call` `call` New data about a call.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.

### Constructor Summary

Constructors
`UpdateCall()` Default constructor.
`UpdateCall​(TdApi.Call call)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### call

    public TdApi.Call call

New data about a call.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### UpdateCall

    public UpdateCall()

Default constructor.

#### UpdateCall

    public UpdateCall​(TdApi.Call call)

Constructor for initialization of all fields.

Parameters:
  `call` - New data about a call.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR